• Hi there
    I m getting this type of eror in my log list.

    Error: Login sessions require session support. Did you forget to use express-session middleware?
    at SessionStrategy.authenticate (/home/nodes/nodebb/node_modules/passport/lib/strategies/session.js:46:41)
    at attempt (/home/nodes/nodebb/node_modules/passport/lib/middleware/authenticate.js:369:16)
    at authenticate (/home/nodes/nodebb/node_modules/passport/lib/middleware/authenticate.js:370:7)
    at Layer.handle [as handle_request] (/home/nodes/nodebb/node_modules/express/lib/router/layer.js:95:5)
    at trim_prefix (/home/nodes/nodebb/node_modules/express/lib/router/index.js:328:13)
    at /home/nodes/nodebb/node_modules/express/lib/router/index.js:286:9
    at Function.process_params (/home/nodes/nodebb/node_modules/express/lib/router/index.js:346:12)
    at next (/home/nodes/nodebb/node_modules/express/lib/router/index.js:280:10)
    at initialize (/home/nodes/nodebb/node_modules/passport/lib/middleware/initialize.js:98:5)
    at Layer.handle [as handle_request] (/home/nodes/nodebb/node_modules/express/lib/router/layer.js:95:5)


  • @baris my nodebb version was v2.5.2 but from now i m using v2.5.3

    PS: after upgrade there is no problem with express-session.

  • NodeBB Admin

    What nodebb version? Do you have reproduction steps or do they just pop in the logs?


  • @baris my nodebb version was v2.5.2 but from now i m using v2.5.3

    PS: after upgrade there is no problem with express-session.

  • Topic has been marked as solved  julian julian 

Suggested Topics

| | |

© 2014 – 2022 NodeBB, Inc. — Made in Canada.